WebserverHandle
Keywords: net.corda.testing.driver.WebserverHandle class
Date: 2023-09-18

net.corda.testing.driver

## Class WebserverHandle

- net.corda.testing.driver.WebserverHandle

- Deprecated.

      @Deprecated
      public class WebserverHandle

  Class which represents a handle to a webserver process and its `class NetworkHostAndPort` for testing purposes.

  See Also:
    `class NetworkHostAndPort`

- - ### Constructor Detail

    - #### WebserverHandle

          public WebserverHandle(@NotNull
                                 NetworkHostAndPort listenAddress,
                                 @NotNull
                                 java.lang.Process process)

      Deprecated.

      Class which represents a handle to a webserver process and its `class NetworkHostAndPort` for testing purposes.

      Parameters:
        `listenAddress` - The `class NetworkHostAndPort` for communicating with this webserver.
        `process` - The Process in which the websever is running
      See Also:
        `class NetworkHostAndPort`

  - ### Method Detail

    - #### getListenAddress

          @NotNull
          public NetworkHostAndPort getListenAddress()

      Deprecated.

      The

      `class NetworkHostAndPort` for communicating with this webserver.

      See Also:
        `class NetworkHostAndPort`

    - #### getProcess

          @NotNull
          public java.lang.Process getProcess()

      Deprecated.

      The

      Process in which the websever is running

      See Also:
        Process

    - #### component1

          @NotNull
          public NetworkHostAndPort component1()

      Deprecated.

      The

      `class NetworkHostAndPort` for communicating with this webserver.

      See Also:
        `class NetworkHostAndPort`

    - #### component2

          @NotNull
          public java.lang.Process component2()

      Deprecated.

      The

      Process in which the websever is running

      See Also:
        Process

    - #### copy

          @NotNull
          public WebserverHandle copy(@NotNull
                                               NetworkHostAndPort listenAddress,
                                               @NotNull
                                               java.lang.Process process)

      Deprecated.

      Class which represents a handle to a webserver process and its `class NetworkHostAndPort` for testing purposes.

      See Also:
        `class NetworkHostAndPort`

    - #### toString

          @NotNull
          public java.lang.String toString()

      Deprecated.

      Class which represents a handle to a webserver process and its `class NetworkHostAndPort` for testing purposes.

      See Also:
        `class NetworkHostAndPort`

    - #### hashCode

          public int hashCode()

      Deprecated.

      Class which represents a handle to a webserver process and its `class NetworkHostAndPort` for testing purposes.

      See Also:
        `class NetworkHostAndPort`

    - #### equals

          public boolean equals(@Nullable
                                java.lang.Object p)

      Deprecated.

      Class which represents a handle to a webserver process and its `class NetworkHostAndPort` for testing purposes.

      See Also:
        `class NetworkHostAndPort`